%{?scl:%scl_package eclipse-epp-logging}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

%global git_tag 96b6065ed50d4c10e80995b3cae97b143485df17

Name:           %{?scl_prefix}eclipse-epp-logging
Version:        2.0.7
Release:        2.%{baserelease}%{?dist}
Summary:        Eclipse Error Reporting tool
License:        EPL
URL:            http://www.eclipse.org/epp/

Source0:        http://git.eclipse.org/c/epp/org.eclipse.epp.logging.git/snapshot/org.eclipse.epp.logging-%{git_tag}.tar.xz

Patch0:		feature-cleanup.patch

BuildArch:      noarch

BuildRequires: %{?scl_prefix}tycho
BuildRequires: %{?scl_prefix}tycho-extras
BuildRequires: %{?scl_prefix}eclipse-pde
BuildRequires: %{?scl_prefix}eclipse-license
BuildRequires: %{?scl_prefix}eclipse-emf-runtime
BuildRequires: %{?scl_prefix}eclipse-mylyn
BuildRequires: %{?scl_prefix_maven}apache-commons-lang3
BuildRequires: %{?scl_prefix}lucene
BuildRequires: %{?scl_prefix_maven}google-gson
BuildRequires: %{?scl_prefix_maven}httpcomponents-client
BuildRequires: %{?scl_prefix_maven}httpcomponents-client-cache
BuildRequires: %{?scl_prefix_maven}maven-enforcer-plugin

Requires:       %{?scl_prefix}eclipse-platform >= 1:4.6.0

%description
EPP Logging provides a set of logging plugins for the Eclipse IDE.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n org.eclipse.epp.logging-%{git_tag}
%patch0 -p1

sed -i -e "s/org.hamcrest;/org.hamcrest.core;/g" `find . -name MANIFEST.MF`
sed -i -e "s/id=\"org.hamcrest\"/id=\"org.hamcrest.core\"/g" `find . -name feature.xml`
sed -i -e "s/org.mockito;/org.mockito.mockito-core;/g"  `find . -name MANIFEST.MF`
sed -i -e "s/org.mockito/org.mockito.mockito-core/g"  `find . -name feature.xml`

sed -i -e 's/core=split;//' bundles/org.eclipse.epp.logging.aeri.ide/META-INF/MANIFEST.MF

# Delete anything prebuilt or bundled
find -name *.jar -delete
find -name *.class -delete

# Use newer jdt annotations
sed -i -e '/jdt\.annotation;bundle-version/s/2\.0\.0/3.0.0/' $(find -name MANIFEST.MF)

pushd features/
%pom_disable_module org.eclipse.epp.logging.3rd.feature
%pom_disable_module org.eclipse.epp.logging.aeri.tests.feature
%pom_disable_module org.eclipse.epp.logging.sdk.feature
popd

%pom_disable_module releng
%pom_disable_module tests
%pom_disable_module examples

%pom_remove_plugin org.eclipse.tycho:target-platform-configuration
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin
%pom_remove_plugin com.mycila.maven-license-plugin:maven-license-plugin
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin
%pom_remove_plugin org.codehaus.mojo:tidy-maven-plugin
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin bundles/
%pom_remove_plugin org.jacoco:jacoco-maven-plugin tests/
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin bundles/

%mvn_package "::pom::" __noinstall
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
# Qualifier generated from last modification time of source tarball
QUALIFIER=$(date -u -d"$(stat --format=%y %{SOURCE0})" +v%Y%m%d-%H%M)
%mvn_build -j -- -DforceContextQualifier=$QUALIFIER
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles
%license %{_datadir}/eclipse/droplets/epp-logging/features/org.eclipse.epp.logging.aeri.feature_*/*.html


%changelog
* Mon Jun 18 2018 Mat Booth <mat.booth@redhat.com> - 2.0.7-2.1
- Auto SCL-ise package for rh-eclipse48 collection

* Mon Jun 18 2018 Mat Booth <mat.booth@redhat.com> - 2.0.7-2
- Fix dep on guava

* Mon Jun 11 2018 Mat Booth <mat.booth@redhat.com> - 2.0.7-1
- Update to Photon release

* Wed May 09 2018 Mat Booth <mat.booth@redhat.com> - 2.0.6-4
- Fix build against photon

* Thu Apr 19 2018 Mat Booth <mat.booth@redhat.com> - 2.0.6-3
- Rebuild to regenerate symlinks

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Sep 17 2017 Mat Booth <mat.booth@redhat.com> - 2.0.6-1
- Update to Oxygen.1 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 22 2017 Mat Booth <mat.booth@redhat.com> - 2.0.5-1
- Update to Oxygen release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 11 2017 Mat Booth <mat.booth@redhat.com> - 2.0.3-2
- Update to latest release

* Tue Oct 04 2016 Mat Booth <mat.booth@redhat.com> - 2.0.3-1
- Update to Neon.1 release

* Tue Aug 02 2016 Mat Booth <mat.booth@redhat.com> - 2.0.1-1
- Port to latest lucene
- Use tagged Neon release

* Thu Jun 30 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.100.0-0.6.gitc6ce9f2
- Add missing BR on maven-enforcer-plugin

* Thu Mar 24 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.5.gitc6ce9f2
- Added symlinks to lucene3 artifacts

* Thu Mar 24 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.4.gitc6ce9f2
- Added dropins support

* Mon Mar 21 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.3.gitc6ce9f2
- Added %%license statement

* Fri Mar 18 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.2.gitc6ce9f2
- Disabled examples module

* Wed Mar 16 2016 Sopot Cela <scela@redhat.com> - 1.100.0-0.1.gitc6ce9f2
- Initial packaging